# @codeimage/ui

![Latest release Version](https://img.shields.io/badge/dynamic/json?style=for-the-badge&color=success&label=Version&query=version&url=https%3A%2F%2Fraw.githubusercontent.com%2Friccardoperra%2Fcodeimage%2Fmain%2Fpackages%2Fui%2Fpackage.json)
[![Built with SolidJS](https://img.shields.io/badge/Built%20with-SolidJS-blue?style=for-the-badge)](https://github.com/solidjs/solid)
[![Built with Vanilla Extract](https://img.shields.io/badge/Built%20with-Vanilla%20Extract-ff69b4?style=for-the-badge)](https://github.com/seek-oss/vanilla-extract)

> Design system and theming for [@codeimage/app](https://github.com/riccardoperra/codeimage/tree/main/apps/codeimage)

Primitive components of CodeImage app are created from scratch or wrap the solid-headless components as a matter
of accessibility. The style is made with vanilla-extract.


## Base components
| Feature                                               | State |
|-------------------------------------------------------|:-----:|
| [Box](./src/lib/primitives/Box)                       |   ✅   |
| [Box](./src/lib/primitives/Box)                       |   ✅   |
| [Button](./src/lib/primitives/Button)                 |   ✅   |
| [Dialog](./src/lib/primitives/Dialog)                 |   ✅   |
| [Dropdown](./src/lib/primitives/Dropdown)             |   ✅   |
| [Field](./src/lib/primitives/Field)                   |   ✅   |
| [Group](./src/lib/primitives/Group)                   |   ✅   |
| [Icon](./src/lib/primitives/Icon)                     |   ✅   |
| [Label](./src/lib/primitives/Label)                   |   ✅   |
| [Link](./src/lib/primitives/Link)                     |   ✅   |
| [Loader](./src/lib/primitives/Loader)                 |   ✅   |
| [PortalHost](./src/lib/primitives/PortalHost)         |   ✅   |
| [Snackbar](./src/lib/primitives/Snackbar)             |   ✅   |
| [Text](./src/lib/primitives/Text)                     |   ✅   |

## Form
| Feature                                               | State |
|-------------------------------------------------------|:-----:|
| [ColorPicker](./src/lib/primitives/ColorPicker)       |   ✅   |
| [RadioBlock](./src/lib/primitives/RadioBlock)         |   ✅   |
| [RangeField](./src/lib/primitives/RangeField)         |   ✅   |
| [SegmentedField](./src/lib/primitives/SegmentedField) |   ✅   |
| [Select](./src/lib/primitives/Select)                 |   ✅   |
| [TextField](./src/lib/primitives/TextField)           |   ✅   |
| [Toggle](./src/lib/primitives/Transition)             |   ✅   |
| ComboBox                                              |       |

